package com.microservices.pms.journals.service;

import com.microservices.pms.journals.domain.PmsJournals;
import com.microservices.pms.journals.domain.vo.PmsJournalsParentDataVo;

import java.util.List;

/**
 * 评论功能Service接口
 * 
 * @author otto
 * @date 2023-11-01
 */
public interface IPmsJournalsService 
{
    /**
     * 查询评论功能
     * 
     * @param id 评论功能主键
     * @return 评论功能
     */
    public PmsJournals selectPmsJournalsById(Long id);

    /**
     * 查询评论功能列表
     * 
     * @param pmsJournals 评论功能
     * @return 评论功能集合
     */
    public List<PmsJournalsParentDataVo> selectPmsJournalsList(PmsJournals pmsJournals);

    /**
     * 新增评论功能
     * 
     * @param pmsJournals 评论功能
     * @return 结果
     */
    public int insertPmsJournals(PmsJournals pmsJournals);

    /**
     * 修改评论功能
     * 
     * @param pmsJournals 评论功能
     * @return 结果
     */
    public int updatePmsJournals(PmsJournals pmsJournals);

    /**
     * 批量删除评论功能
     * 
     * @param ids 需要删除的评论功能主键集合
     * @return 结果
     */
    public int deletePmsJournalsByIds(Long[] ids);

    /**
     * 删除评论功能信息
     * 
     * @param id 评论功能主键
     * @return 结果
     */
    public int deletePmsJournalsById(Long id);

    /**
     * 根据类型和评论对象Id删除所有评论
     *
     * @param type      类型
     * @param journalId 评论对象Id
     */
    void deletePmsJournalsByTypeAndJournalId(String type, Long journalId);
}
